---
title: "FINN Bil API: Search | Perceptlayer"
description: "Search from FINN Bil as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/finn-bil/search
---

[APIs](https://perceptlayer.com/apis) / [FINN Bil](https://perceptlayer.com/apis/finn-bil) / Search

# FINN Bil: Search

Search from FINN Bil as JSON. 1 credit per successful call.

GET `/v1/finn-bil/search`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `sort` | string | Optional | PRICE\_ASC, PRICE\_DESC, MILEAGE\_ASC, MILEAGE\_DESC, RELEVANCE, MODEL, CLOSEST, PUBLISHED |
| `rows` | integer | Optional | Any |
| `page` | integer | Optional | Any |
| `q` | string | Optional | Up to 200 characters |
| `variant` | string | Optional | Up to 100 characters |
| `location` | string | Optional | Up to 100 characters |
| `price_from` | integer | Optional | Any |
| `price_to` | integer | Optional | Any |
| `year_from` | integer | Optional | Any |
| `year_to` | integer | Optional | Any |
| `mileage_from` | integer | Optional | Any |
| `mileage_to` | integer | Optional | Any |
| `fuel` | integer | Optional | Any |
| `body_type` | integer | Optional | Any |
| `transmission` | integer | Optional | Any |
| `dealer_segment` | integer | Optional | Any |
| `sales_form` | integer | Optional | Any |
| `wheel_drive` | integer | Optional | Any |
| `engine_effect_from` | integer | Optional | Any |
| `engine_effect_to` | integer | Optional | Any |
| `car_equipment` | integer | Optional | Any |
| `exterior_colour` | integer | Optional | Any |
| `seats_from` | integer | Optional | Any |
| `seats_to` | integer | Optional | Any |
| `registration_class` | integer | Optional | Any |
| `warranty_insurance` | integer | Optional | Any |
| `car_condition` | integer | Optional | Any |
| `wheel_sets` | integer | Optional | Any |
| `max_trailer_weight_from` | integer | Optional | Any |
| `max_trailer_weight_to` | integer | Optional | Any |
| `published` | integer | Optional | Any |
| `smooth_trade` | boolean | Optional | Any |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/finn-bil/search?sort=PRICE_ASC&rows=2&page=1" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/finn-bil?try=search#playground) with your own parameters. 1 credit per successful call; failed calls are free.
